package avatar

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/avatar"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/avatar/sendText avatar SendApiAvatarText
//
// send text  | 发送消息
//
// send text  | 发送消息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SendTextReq
//
// Responses:
//  200: SendTextResp

func SendApiAvatarTextHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SendTextReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := avatar.NewSendApiAvatarTextLogic(r.Context(), svcCtx)
		resp, err := l.SendApiAvatarText(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
